package org.gradle.accessors.dm;

import org.gradle.api.NonNullApi;
import org.gradle.api.artifacts.ProjectDependency;
import org.gradle.api.internal.artifacts.dependencies.ProjectDependencyInternal;
import org.gradle.api.internal.artifacts.DefaultProjectDependencyFactory;
import org.gradle.api.internal.artifacts.dsl.dependencies.ProjectFinder;
import org.gradle.api.internal.catalog.DelegatingProjectDependency;
import org.gradle.api.internal.catalog.TypeSafeProjectDependencyFactory;
import javax.inject.Inject;

@NonNullApi
public class AstProjectDependency extends DelegatingProjectDependency {

    @Inject
    public AstProjectDependency(TypeSafeProjectDependencyFactory factory, ProjectDependencyInternal delegate) {
        super(factory, delegate);
    }

    /**
     * Creates a project dependency on the project at path ":ast:ast-core"
     */
    public Ast_AstCoreProjectDependency getAstCore() { return new Ast_AstCoreProjectDependency(getFactory(), create(":ast:ast-core")); }

    /**
     * Creates a project dependency on the project at path ":ast:ast-ksp"
     */
    public Ast_AstKspProjectDependency getAstKsp() { return new Ast_AstKspProjectDependency(getFactory(), create(":ast:ast-ksp")); }

}
