package org.gradle.accessors.dm;

import org.gradle.api.NonNullApi;
import org.gradle.api.artifacts.ProjectDependency;
import org.gradle.api.internal.artifacts.dependencies.ProjectDependencyInternal;
import org.gradle.api.internal.artifacts.DefaultProjectDependencyFactory;
import org.gradle.api.internal.artifacts.dsl.dependencies.ProjectFinder;
import org.gradle.api.internal.catalog.DelegatingProjectDependency;
import org.gradle.api.internal.catalog.TypeSafeProjectDependencyFactory;
import javax.inject.Inject;

@NonNullApi
public class IntegrationTestsProjectDependency extends DelegatingProjectDependency {

    @Inject
    public IntegrationTestsProjectDependency(TypeSafeProjectDependencyFactory factory, ProjectDependencyInternal delegate) {
        super(factory, delegate);
    }

    /**
     * Creates a project dependency on the project at path ":integration-tests:jmh"
     */
    public IntegrationTests_JmhProjectDependency getJmh() { return new IntegrationTests_JmhProjectDependency(getFactory(), create(":integration-tests:jmh")); }

    /**
     * Creates a project dependency on the project at path ":integration-tests:ksp"
     */
    public IntegrationTests_KspProjectDependency getKsp() { return new IntegrationTests_KspProjectDependency(getFactory(), create(":integration-tests:ksp")); }

    /**
     * Creates a project dependency on the project at path ":integration-tests:ksp-companion"
     */
    public IntegrationTests_KspCompanionProjectDependency getKspCompanion() { return new IntegrationTests_KspCompanionProjectDependency(getFactory(), create(":integration-tests:ksp-companion")); }

    /**
     * Creates a project dependency on the project at path ":integration-tests:module"
     */
    public IntegrationTests_ModuleProjectDependency getModule() { return new IntegrationTests_ModuleProjectDependency(getFactory(), create(":integration-tests:module")); }

}
