package org.gradle.accessors.dm;

import org.gradle.api.NonNullApi;
import org.gradle.api.artifacts.ProjectDependency;
import org.gradle.api.internal.artifacts.dependencies.ProjectDependencyInternal;
import org.gradle.api.internal.artifacts.DefaultProjectDependencyFactory;
import org.gradle.api.internal.artifacts.dsl.dependencies.ProjectFinder;
import org.gradle.api.internal.catalog.DelegatingProjectDependency;
import org.gradle.api.internal.catalog.TypeSafeProjectDependencyFactory;
import javax.inject.Inject;

@NonNullApi
public class KotlinInjectCompilerProjectDependency extends DelegatingProjectDependency {

    @Inject
    public KotlinInjectCompilerProjectDependency(TypeSafeProjectDependencyFactory factory, ProjectDependencyInternal delegate) {
        super(factory, delegate);
    }

    /**
     * Creates a project dependency on the project at path ":kotlin-inject-compiler:kotlin-inject-compiler-core"
     */
    public KotlinInjectCompiler_KotlinInjectCompilerCoreProjectDependency getKotlinInjectCompilerCore() { return new KotlinInjectCompiler_KotlinInjectCompilerCoreProjectDependency(getFactory(), create(":kotlin-inject-compiler:kotlin-inject-compiler-core")); }

    /**
     * Creates a project dependency on the project at path ":kotlin-inject-compiler:kotlin-inject-compiler-ksp"
     */
    public KotlinInjectCompiler_KotlinInjectCompilerKspProjectDependency getKotlinInjectCompilerKsp() { return new KotlinInjectCompiler_KotlinInjectCompilerKspProjectDependency(getFactory(), create(":kotlin-inject-compiler:kotlin-inject-compiler-ksp")); }

    /**
     * Creates a project dependency on the project at path ":kotlin-inject-compiler:test"
     */
    public KotlinInjectCompiler_TestProjectDependency getTest() { return new KotlinInjectCompiler_TestProjectDependency(getFactory(), create(":kotlin-inject-compiler:test")); }

}
