package org.gradle.accessors.dm;

import org.gradle.api.NonNullApi;
import org.gradle.api.artifacts.ProjectDependency;
import org.gradle.api.internal.artifacts.dependencies.ProjectDependencyInternal;
import org.gradle.api.internal.artifacts.DefaultProjectDependencyFactory;
import org.gradle.api.internal.artifacts.dsl.dependencies.ProjectFinder;
import org.gradle.api.internal.catalog.DelegatingProjectDependency;
import org.gradle.api.internal.catalog.TypeSafeProjectDependencyFactory;
import javax.inject.Inject;

@NonNullApi
public class RootProjectAccessor extends TypeSafeProjectDependencyFactory {


    @Inject
    public RootProjectAccessor(DefaultProjectDependencyFactory factory, ProjectFinder finder) {
        super(factory, finder);
    }

    /**
     * Creates a project dependency on the project at path ":"
     */
    public KotlinInjectProjectDependency getKotlinInject() { return new KotlinInjectProjectDependency(getFactory(), create(":")); }

    /**
     * Creates a project dependency on the project at path ":ast"
     */
    public AstProjectDependency getAst() { return new AstProjectDependency(getFactory(), create(":ast")); }

    /**
     * Creates a project dependency on the project at path ":integration-tests"
     */
    public IntegrationTestsProjectDependency getIntegrationTests() { return new IntegrationTestsProjectDependency(getFactory(), create(":integration-tests")); }

    /**
     * Creates a project dependency on the project at path ":kotlin-inject-compiler"
     */
    public KotlinInjectCompilerProjectDependency getKotlinInjectCompiler() { return new KotlinInjectCompilerProjectDependency(getFactory(), create(":kotlin-inject-compiler")); }

    /**
     * Creates a project dependency on the project at path ":kotlin-inject-runtime"
     */
    public KotlinInjectRuntimeProjectDependency getKotlinInjectRuntime() { return new KotlinInjectRuntimeProjectDependency(getFactory(), create(":kotlin-inject-runtime")); }

    /**
     * Creates a project dependency on the project at path ":kotlin-inject-runtime-kmp"
     */
    public KotlinInjectRuntimeKmpProjectDependency getKotlinInjectRuntimeKmp() { return new KotlinInjectRuntimeKmpProjectDependency(getFactory(), create(":kotlin-inject-runtime-kmp")); }

}
